﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Spread_ASP_Search
{
    public partial class _default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            FpSpread1.Sheets[0].RowHeader.Cells[0, 0].Text = "Row Header";
            FpSpread1.Sheets[0].RowHeader.Cells[0, 0].Tag= "Row Header Tag";
            FpSpread1.Sheets[0].RowHeader.Cells[0, 0].Note = "Row Header Note";
            FpSpread1.Sheets[0].Cells[2, 0].Text = "Total";
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            int x = 0;
            int y = 0;
            FarPoint.Web.Spread.SearchFoundFlags sff;

            //设置搜索文本及搜索范围
            sff = FpSpread1.SearchHeaders(0, "Row Header", true, false, false, false, false, true, false, false, 0, 0, 2, 2, ref x, ref y);
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            int rowindx=0;
            int colindx=0;
            //如果搜索到目标内容，则会返回搜索结果，否则反回 null
           string searchStr = FpSpread1.Search(0, "Total", true, true, false, false, 0, 0, 2, 3, ref rowindx, ref colindx);
           if (!string.IsNullOrEmpty(searchStr))
           {
               this.FpSpread1.Sheets[0].Cells[rowindx, colindx].BackColor = Color.Red;
           }
        }
    }
}